OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions | Variables
ai_sl.cpp File Reference

Handles the saveload part of the AIs. More...

`#include "../stdafx.h"`
`#include "../company_base.h"`
`#include "../debug.h"`
`#include "saveload.h"`
`#include "../string_func.h"`
`#include "../ai/ai.hpp"`
`#include "../ai/ai_config.hpp"`
`#include "../network/network.h"`
`#include "../ai/ai_instance.hpp"`
`#include "../safeguards.h"`

Go to the source code of this file.

## Functions
static void | SaveReal_AIPL (int *index_ptr)
static void | Load_AIPL ()
static void | Save_AIPL ()

## Variables
static char | _ai_saveload_name [64]
static int | _ai_saveload_version
static char | _ai_saveload_settings [1024]
static bool | _ai_saveload_is_random
static const SaveLoad | _ai_company []
const ChunkHandler | _ai_chunk_handlers []

## Detailed Description

Handles the saveload part of the AIs.

Definition in file ai_sl.cpp.

## Variable Documentation

const ChunkHandler _ai_chunk_handlers[]

Initial value:
{
{ 'AIPL', Save_AIPL, Load_AIPL, NULL, NULL, CH_ARRAY | CH_LAST},
}

const SaveLoad _ai_company[]
| static

Initial value:
{
SLEG_STR(_ai_saveload_name, SLE_STRB),
SLEG_STR(_ai_saveload_settings, SLE_STRB),
SLEG_CONDVAR(_ai_saveload_version, SLE_UINT32, 108, SL_MAX_VERSION),
SLEG_CONDVAR(_ai_saveload_is_random, SLE_BOOL, 136, SL_MAX_VERSION),
}

Definition at line 30 of file ai_sl.cpp.